Public Class EstadoConcursoPostulanteBusinessObject
    Inherits BusinessObject(Of EstadoConcursoPostulante)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New EstadoConcursoPostulanteDbHelper
    End Sub

    Public Sub New(ByVal entity As EstadoConcursoPostulante)
        MyBase.New(entity)
        DbHelper = New EstadoConcursoPostulanteDbHelper
    End Sub

    Public Sub New(ByVal idEstadoConcursoPostulante As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idEstadoConcursoPostulante = idEstadoConcursoPostulante
        Dim Entity_Aux As EstadoConcursoPostulante = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As EstadoConcursoPostulanteBusinessObject
    Protected Shared Function GetDdHelperInstance() As EstadoConcursoPostulanteDbHelper
        If _Instance Is Nothing Then
            _Instance = New EstadoConcursoPostulanteBusinessObject
        End If
    Return CType(_Instance.DbHelper, EstadoConcursoPostulanteDbHelper)
    End Function

    Public Shared Function GetListEstadoConcursoPostulante(Optional ByVal foreignLevel As Integer=0) As EntityList(Of EstadoConcursoPostulante)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

#End Region
End Class
